Bug 819323 - Yum requests report of alchemist update bug
Yum requests report of alchemist update bug
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: alchemist (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 11:51 EDT by bob mckay
Modified: 2012-05-09 06:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 23:40:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2012-05-06 11:51:50 EDT
Description of problem:
Yum update (7/6/2012) fails on alchemist dependencies

Version-Release number of selected component (if applicable):
alchemist-1.0.37-8.fc12.x86_64

How reproducible:
Don't know

Steps to Reproduce:
1. yum update
  
Actual results:
Update fails with request to report bug

Expected results:
Update succeeds

Additional info:
yum update
.....
Running Transaction Check
ERROR with transaction check vs depsolve:
python(abi) = 2.6 is needed by (installed) alchemist-1.0.37-8.fc12.x86_64
python-abi = 2.6 is needed by (installed) alchemist-1.0.37-8.fc12.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 2 pre-existing rpmdb problem(s), 'yum check' output follows:
alchemist-1.0.37-8.fc12.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
alchemist-1.0.37-8.fc12.x86_64 has missing requires of python-abi = ('0', '2.6', None)
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-05-07.00-23.J2g7cB.yumtx


python --version
Python 2.7.2
Comment 1 Bill Nottingham 2012-05-07 14:53:09 EDT
What are you trying to update from and to? Note that Fedora 12 has been EOL for quite some time.
Comment 2 bob mckay 2012-05-07 21:58:29 EDT
F16 -> F16. This is a system that has been upgraded a few times. It looks like one of the upgrades, possibly F12->f13, forgot to remove alchemist (alchemist doesn't seem to be in the subsequent repos at all).
Comment 3 Bill Nottingham 2012-05-08 23:40:27 EDT
Right, the simple fix would have to be to remove it; there's not much else we can do here.
Comment 4 bob mckay 2012-05-09 06:26:25 EDT
Thanks Bill; that's what I did as soon as I got the error - I only reported it because it asked me to 8^). 
All the Best, Bob

Note You need to log in before you can comment on or make changes to this bug.